Subject: [RFC PATCH] arm64: KVM: remove fpsimd save/restore from the world switch

From: [email-masked] (Marc Zyngier)
Date: Fri, 10 Apr 2015 11:08:38 +0100

On 10/04/15 11:01, Peter Maydell wrote:
> On 10 April 2015 at 10:11, Marc Zyngier <[email-masked]> wrote:
>> I did some experimentations on arm64 a long while ago (see the
>> kvm-arm64/lazy-fp branch in my tree), and it wasn't that great,
>> apparently because aarch64 userspace tends to be much more FP happy than
>> aarch32, but I'm not completely sure about it.
> 
> Was that with the buggy version of the toolchain that had
> incorrect costs and so was much more inclined to spill
> integer values into the FPU than it should have been?
> It might be worth retesting with a freshly compiled
> userspace some day...

It definitely was with a very old toolchain and an even older userspace.
I'll respin the branch when I get some thime.

Thanks,

	M.
-- 
Jazz is not dead. It just smells funny...